Starmade | Shipyard running out of power causes loss of blocks
Closed, FinishedPublic


A shipyard running out of power while constructing will try to restart construction over and over again, but under the line:
All blocks in construction vanish.


Restricted Diffusion Commit
Testing Results
Affected Gamemode(s)
Single and Multi
Last tested (version)
0.19469 (Dev)
Issue Type
Control Block System: Shipyards
First occurrence (version)
Video Card Vendor
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
AndyP created this task.Sep 13 2015, 1:37 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.
AndyP changed the visibility from "Custom Policy" to "Public (No Login Required)".
AndyP changed the edit policy from "Task Author" to "Starmade (Project)".
AndyP changed Category from none/unspecified to Control Block System: Rails/Docking.
AndyP changed Affected Gamemode(s) from none/unspecified to Single and Multi.
AndyP set First occurrence (version) to 0.19431.
AndyP edited Serverconfig (server.cfg). (Show Details)
AndyP edited Clientconfig (settings.cfg). (Show Details)
AndyP added a subscriber: AndyP.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptSep 13 2015, 1:37 PM


Reported by
Support-ticket 2128
No similar report in Tracker

thakyZ claimed this task.Sep 13 2015, 3:37 PM
thakyZ added a subscriber: thakyZ.

@AndyP can you upload your station so that I can recreate it with the same way it was built?

AndyP added a comment.Sep 15 2015, 7:57 AM


It was a support ticket not my station, any shipyard should have this when the power goes out.

thakyZ changed the task status from "Open" to "In Queue (Game)".EditedSep 22 2015, 12:10 AM

This is a feature that does not happen or does not exist(?)

AndyP set Issue Type to Bug.Oct 26 2015, 10:26 PM
AndyP changed Category from Control Block System: Rails/Docking to Control Block System: Shipyards.
AndyP set Reproducible to uncertain.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
schema changed the task status from "In Queue (Game)" to "Resolved" by committing Restricted Diffusion Commit.Oct 29 2015, 1:38 PM

This may or may not be fixed. I tried to make it run out of power while building and it would completely build the ship, but then when I was deconstructing the ship and I would remove all the power it would stop completely and not remove all the blocks. So, I cannot tell if this is completely fixed.

it should just "stop" when out of power, and continue when power is restored.

(Or at least go into a state, where you can restart the process without loosing items.)

lancake changed the task status from "Resolved" to "In Queue (Game)".EditedNov 2 2015, 2:00 PM
lancake added a subscriber: lancake.

-QA Testing-

Well, I don't see any item loss anymore related to power loss. However, it seems you don't really need a lot of power to construct at full speed. I'm currently sitting on 50% regen of what I require yet it seems to go almost as fast as 100%. For both constructing and deconstructing.
Completely removing power regen brings it down to a snail speed (it still constructs/deconstructs, but extremely slowly).

Sending back in queue, needs feedback on what it is supposed to do when it doesn't reach enough power regen.

lancake lowered the priority of this task from "Urgent" to "High".Nov 2 2015, 2:00 PM
lancake set Last tested (version) to 0.19469 (Dev).
AndyP removed thakyZ as the assignee of this task.Dec 20 2015, 10:44 PM

Assignee 'thakyZ' left the testing team.

AndyP raised the priority of this task from "High" to "Release Blocker".Mar 8 2016, 8:29 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 2:10 AM
schema added a subscriber: schema.
Restricted Application added a subscriber: Megacrafter127. · View Herald Transcript
schema added a comment.Mar 9 2016, 2:11 AM

It will do one step (pulling and constructing) when it has enough power for one step

AndyP claimed this task.Mar 16 2016, 9:07 AM
AndyP closed this task as "Closed".Mar 16 2016, 2:56 PM

-QA Testing-

Fix confirmed

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 16 2016, 2:56 PM

Add Comment